Registration
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Initialize registration
Use this method to initialize a registration procedure for a specific registration configuration. If email confirmation is required, the method returns a *registerId* to be used to confirm the email address. Otherwise, the registration is completed immediately and HTTP 201 is returned.
Path Parameters
configId*string
The universally unique identifier (UUID) of the registration configuration.
Format
uuidHeader Parameters
acc?string
The locale code for the registration session.
Default
"en"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/signup/36f59381-5b54-48bd-a0c7-3b908c476732/initialize" \ -H "Content-Type: application/json" \ -d '{ "encryptedInput": "string" }'{ "data": { "registerId": "36f59381-5b54-48bd-a0c7-3b908c476732" }}{ "data": { "auth": { "type": "native", "native": { "accessToken": { "token": "string", "expiresAt": "2022-01-01T00:00:00+00:00" }, "refreshToken": { "token": "string", "expiresAt": "2022-01-01T00:00:00+00:00" } }, "ory": { "token": "string", "expiresAt": "2022-01-01T00:00:00+00:00", "sessionToken": "string" } } }}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unprocessable Entity" }}{ "error": { "message": "Too Many Requests" }}